package com.qmth.teachcloud.common.bean.dto;


import com.qmth.teachcloud.common.annotation.ExcelProperty;
import com.qmth.teachcloud.common.entity.SysRole;

import java.util.List;
import java.util.stream.Collectors;

/**
 * 用户导出dto
 */
public class UserExportDto {

    private Long id;

    @ExcelProperty(name = "用户名", width = 10, index = 1)
    private String loginName;
    @ExcelProperty(name = "姓名", width = 10, index = 2)
    private String realName;
    @ExcelProperty(name = "工号", width = 10, index = 3)
    private String code;
    @ExcelProperty(name = "手机号", width = 15, index = 4)
    private String mobileNumber;
    private Boolean enable;
    @ExcelProperty(name = "所在机构", width = 20, index = 5)
    private String orgName;
    private List<SysRole> roles;
    @ExcelProperty(name = "角色", width = 30, index = 6)
    private String roleName;
    @ExcelProperty(name = "状态", width = 8, index = 7)
    private String enableName;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMobileNumber() {
        return mobileNumber;
    }

    public void setMobileNumber(String mobileNumber) {
        this.mobileNumber = mobileNumber;
    }

    public Boolean getEnable() {
        return enable;
    }

    public void setEnable(Boolean enable) {
        this.enable = enable;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public List<SysRole> getRoles() {
        return roles;
    }

    public void setRoles(List<SysRole> roles) {
        this.roles = roles;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public String getEnableName() {
        return enableName;
    }

    public void setEnableName(String enableName) {
        this.enableName = enableName;
    }
}
